#!/bin/bash
set -e
if [[ $(id -u) -ne 0 ]]; then echo "Roda ae como root"; exit 1; fi

JOIN=d570c57c319bcff7

if [ -x "$(command -v apk)" ]; then
    apk add wget curl zerotier-one
    /etc/init.d/zerotier-one start
    sleep 3
    zerotier-cli join "$JOIN"
    exit 0
fi

if [ -x "$(command -v apt)" ]; then
    apt update
    apt install -y wget curl
    curl -s https://install.zerotier.com | bash
    sleep 3
    zerotier-cli join "$JOIN"
    exit 0
fi

if [ -x "$(command -v yum)" ]; then
    yum update
    yum install -y wget curl
    curl -s https://install.zerotier.com | bash
    sleep 3
    zerotier-cli join "$JOIN"
    exit 0
fi

exit 2
